cURL
curl --request GET \
--url https://public-api.kiwify.com/v1/account-details \
--header 'Authorization: Bearer <token>' \
--header 'x-kiwify-account-id: <api-key>'import requests
url = "https://public-api.kiwify.com/v1/account-details"
headers = {
"x-kiwify-account-id": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-kiwify-account-id': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://public-api.kiwify.com/v1/account-details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "XvS0qfkdzCZTg8z",
"company_name": "Teste LTDA",
"director_cpf": "99999999999",
"company_cnpj": "99999999999999",
"legal_entities": [
{
"id": "d644de3d-9a02-46b1-aed4-72785fe8828f",
"active": true,
"company_name": "Teste LTDA",
"director_cpf": "99999999999",
"company_cnpj": "",
"pix_key": "99999999999",
"created_at": "2023-05-31T12:23:59.746Z",
"updated_at": "2023-09-27T18:10:37.697Z"
}
]
}{
"error": "auth_error",
"message": "Invalid token: access token is invalid"
}Conta
Consultar detalhes da conta
GET
/
account-details
cURL
Autorizações
The access token received from the authorization server in the OAuth 2.0 flow.
⌘I
